name: lidar
plugins:
- name: panda-lidar
  pluginSpec:
    image: registry.gitlab.com/lbl-anp/panda/dawn_pipeline/plugin-lidar:v1.0.3
    resource:
      request.cpu: 100m
      limit.cpu: 1000m
      request.memory: 100Mi
      limit.memory: 500Mi
    selector:
      zone: core
    env:
      SENSOR_HOSTNAME: 10.31.81.24
      LIDAR_PORT: 7502
      IMU_PORT: 7503
      LIDAR_MODE: 512x10
      RATE: 0.1
nodes:
  W077:
scienceRules:
- 'schedule(panda-lidar): True'
successcriteria:
- WallClock(1d)
